<?php 

/**
 * Moduulikohtainen asetustiedosto: moodle kysyy näitä asetuksia modulin asennuksen yhteydessä.
 * Asetukset käytetään $CFG:n kautta admin_setting_xx:n ensimmäisen parametrin kautta, ie:
 * 
 * $CFG->netforum_newest_rows
 * 
 */
// Näytettävien uusimpien (enimmäis)määrä
$settings->add(new admin_setting_configtext('netforum_newest_rows', get_string('newestrows', 'netforum'), 
                get_string('confignewestrows', 'netforum'), 15, PARAM_INT));

// Näytettävien luetuimpien (enimmäis)määrä
$settings->add(new admin_setting_configtext('netforum_most_read_rows', get_string('mostreadrows', 'netforum'), 
                get_string('configmostreadrows', 'netforum'), 15, PARAM_INT));

// graphvizin suoritustiedostojen polku
$settings->add(new admin_setting_configtext('netforum_dotdir', get_string('dotdir', 'netforum'), 
                get_string('configdotdir', 'netforum'), "", PARAM_PATH));

$settings->add(new admin_setting_configcheckbox('netforum_shrinkgraphs', get_string('shrinkgraphs', 'netforum'), 
                get_string('configshrinkgraphs', 'netforum'), false, true, false));

$settings->add(new admin_setting_configtext('netforum_dotfont', get_string('dotfont', 'netforum'), 
                get_string('configdotfont', 'netforum'), "Helvetica", PARAM_TEXT));
                
                
?>